#ryax-project-settings
  a(routerLink="/dashboard", nz-button, [nzGhost]="true", nzType="default", nzSize="small")
    i(nz-icon, nzType="arrow-left", nzTheme="outline")
    | Dashboard
  #ryax-header
    h1 Project Settings
    span ID: {{projectId$ | async}}

  section
    h2 Project Name
    p Update you project name. This is only for you, no impact on the API.

    form(nz-form, [nzLayout]="'horizontal'", [formGroup]="validateForm", (ngSubmit)="submitForm()")
      nz-form-item
        nz-form-label(nzRequired) New Project Name
        nz-form-control(nzHasFeedback, nzErrorTip="Project name should not be empty and less then 32 characters")
          input(nz-input type="name", formControlName="name")
      div.submit
        button(nz-button, nzType="primary", [disabled]="!validateForm.valid") Save
        button(nz-button, (click)="cancel()") Cancel

  section
    h2 API Authentication
    p Setup your API authentication method for external users.
    ryax-api-key

  section
    h2 Variables
    p Shared variables to use as input anywhere in your project.
    ryax-variables-list

